Bug 1103512 - (CVE-2018-3847) VUL-1: CVE-2018-3847: cfitsio: Multiple exploitable buffer overflow vulnerabilities exist in image parsingfunctionality
(CVE-2018-3847)
VUL-1: CVE-2018-3847: cfitsio: Multiple exploitable buffer overflow vulnerabi...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 42.3
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Asterios Dramis
Security Team bot
https://smash.suse.de/issue/212117/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-02 05:37 UTC by Marcus Meissner
Modified: 2019-07-11 13:01 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2018-08-02 05:37:59 UTC
CVE-2018-3847

Multiple exploitable buffer overflow vulnerabilities exist in image parsing
functionality of the CFITSIO library version 3.42. Specially crafted images
parsed via the library, can cause a stack-based buffer overflow overwriting
arbitrary data. An attacker can deliver an FIT image to trigger this
vulnerability and potentially gain code execution.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-3847
http://www.cvedetails.com/cve/CVE-2018-3847/
https://www.talosintelligence.com/vulnerability_reports/TALOS-2018-0530
Comment 1 Asterios Dramis 2018-08-30 20:32:59 UTC
Leap 42.3 has cfitsio version 3.43 through maintenance update which has this fixed:

https://build.opensuse.org/package/show/openSUSE:Leap:42.3:Update/cfitsio

See also:

https://security-tracker.debian.org/tracker/CVE-2018-3847
Comment 2 Tomáš Chvátal 2019-07-11 11:33:42 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 3 Marcus Meissner 2019-07-11 13:01:17 UTC
15.0 and 15.1 were fixed by version updates